diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index a2aa62e..ca81f0b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -8901,21 +8901,21 @@ CRApackage(R:EuclideanDomain): Exports == Implementation where
       x := setleaves_!(x, lm)
       mapUp_!(x,"*")
       y := balancedBinaryTree(#lm, 1$R)
-      y := mapUp_!(copy y,x,#1 * #4 + #2 * #3)
+      y := mapUp_!(copy y,x,(a,b,c,d)+->a*d + b*c)
       (u := extendedEuclidean(value y, value x,1)) case "failed" =>
         error "moduli not relatively prime"
       inv := u . coef1
       linv := modTree(inv, lm)
       l := [(u*v) rem m for v in lv for u in linv for m in lm]
       y := setleaves_!(y,l)
-      value(mapUp_!(y, x, #1 * #4 + #2 * #3)) rem value(x)
+      value(mapUp_!(y, x, (a,b,c,d)+->a*d + b*c)) rem value(x)
 
     chineseRemainder(llv:List List(R), lm:List(R)):List(R) ==
       x := balancedBinaryTree(#lm, 0$R)
       x := setleaves_!(x, lm)
       mapUp_!(x,"*")
       y := balancedBinaryTree(#lm, 1$R)
-      y := mapUp_!(copy y,x,#1 * #4 + #2 * #3)
+      y := mapUp_!(copy y,x,(a,b,c,d)+->a*d + b*c)
       (u := extendedEuclidean(value y, value x,1)) case "failed" =>
         error "moduli not relatively prime"
       inv := u . coef1
@@ -8924,7 +8924,8 @@ CRApackage(R:EuclideanDomain): Exports == Implementation where
       for lv in llv repeat
         l := [(u3*v) rem m for v in lv for u3 in linv for m in lm]
         y := setleaves!(y,l)
-        retVal := cons(value(mapUp!(y, x, #1*#4+#2*#3)) rem value(x),retVal)
+        retVal := 
+          cons(value(mapUp!(y, x, (a,b,c,d)+->a*d+b*c)) rem value(x),retVal)
       reverse retVal
 
     extEuclidean: (R, R, R) -> List R
diff --git a/changelog b/changelog
index ccd691a..cf43fc5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090513 tpd src/axiom-website/patches.html 20090513.07.tpd.patch
+20090513 tpd books/bookvol10.4 CRAPACK +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.06.tpd.patch
 20090513 tpd books/bookvol10.3 MOEBIUS +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4724419..92a91a1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1284,5 +1284,7 @@ bookvol10.4 ODECONST +-> conversion<br/>
 bookvol10.4 COORDSYS +-> conversion<br/>
 <a href="patches/20090513.06.tpd.patch">20090513.06.tpd.patch</a>
 bookvol10.3 MOEBIUS +-> conversion<br/>
+<a href="patches/20090513.07.tpd.patch">20090513.07.tpd.patch</a>
+bookvol10.4 CRAPACK +-> conversion<br/>
  </body>
 </html>
